Composite (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Composite interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Composite

All Superinterfaces:
  Collection, ConfigurationItem, ImplicitCollection, ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  ApplicationComposite, BusinessProcessComposite, BusinessServiceComposite, DesktopComposite, HardwareComposite, InfrastructureApplicationComposite, MainframeComposite, RouterComposite, ServerComposite, SwitchComposite

    public interface Composite

extends ImplicitCollection, ConfigurationItem

Naming Rules:
  0="type,root"
Persistable:
  true
Table Name:
  COMPOSITE
Display Name:
  compositeName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.Collection
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCompositeName()`
`ModelObject` | `getRoot()`
`java.lang.String` | `getType()`
`boolean` | `hasCompositeName()`
`boolean` | `hasRoot()`
`boolean` | `hasType()`
`void` | `setCompositeName(java.lang.String name)`
`void` | `setRoot(ModelObject root)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.core.ImplicitCollection
`getDefinition, hasDefinition, setDefinition`

Methods inherited from interface com.collation.platform.model.topology.core.Collection
`getActive, getMembers, getName, hasActive, hasMembers, hasName, setActive, setMembers, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getRoot

    ModelObject getRoot()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setRoot

    void setRoot(ModelObject root)

### hasRoot

    boolean hasRoot()

### getCompositeName

    java.lang.String getCompositeName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompositeName

    void setCompositeName(java.lang.String name)

### hasCompositeName

    boolean hasCompositeName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD